/* OUTPUT_FORMAT(binary)  */
OUTPUT_FORMAT(elf32-sh)
OUTPUT_ARCH(sh3)
 
/* Entry point.  Not really important here, since doing binary output */
ENTRY(initialize)
 
MEMORY
{
        /* Loads code at 300000, skips g3a header */
        rom (rx) : o = 0x00300000, l = 2097192
        ram (rwx) : o = 0x08101000, l = 432k  /* skip 4k at start */
	/* 0x88160000 virtualized to 0x08100000 */
        ilram (rwx) : o = 0xE5200000, l = 4k
	/* RAM is available at 0x8c200000, 3M maybe more */
        r8c2 (rx) : o = 0x8c200000, l = 3M-512K
}
 
SECTIONS
{
	/* 2nd part of code at 0x8c20000 */
        .text : {
                r8c2*(.text)
                r8c2*(.text.*)
        } > r8c2
        /* Code, in ROM */
        .text : {
                *(.pretext)     /* init stuff */
                *(.text)
                *(.text.*)
        } > rom
       
        /* Read-only data, in ROM */
        .rodata : {
                *(.rodata)
                *(.rodata.*)
        } > rom
       
/* RW initialized data, VMA in RAM but LMA in ROM */
.data : ALIGN(4) {
        _datald = LOADADDR(.data) ;
        _sdata = . ;
        *(.data)
        *(.data.*);
        _edata = . ;
} >ram AT>rom

/* Uninitialized data (fill with 0), in RAM */
.bss ALIGN(4) : ALIGN(4) {
        _bbss = . ;
        *(.bss)
        *(.bss*)
        *(COMMON)
        _ebss = . ;

	/* Extra unused static space */
	_sextra = ALIGN(32);
	_eextra = ORIGIN(ram) + LENGTH(ram);
} >ram

}
